Linux mail.vriendennsm.nl 6.1.0-51-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.177-1 (2026-07-16) x86_64
Apache/2.4.68 (Debian)
Server IP : 217.154.75.17 & Your IP : 216.73.216.195
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
snap /
core24 /
1643 /
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
[
54.44
KB
-rwxr-xr-x
2026-01-23 13:30
aa-enabled
18.3
KB
-rwxr-xr-x
2026-02-20 23:51
aa-exec
18.3
KB
-rwxr-xr-x
2026-02-20 23:51
aa-features-abi
18.3
KB
-rwxr-xr-x
2026-02-20 23:51
addpart
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
arch
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
awk
166.77
KB
-rwxr-xr-x
2024-04-08 16:12
b2sum
54.51
KB
-rwxr-xr-x
2026-01-23 13:30
base32
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
base64
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
basename
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
basenc
46.51
KB
-rwxr-xr-x
2026-01-23 13:30
bash
1.38
MB
-rwxr-xr-x
2024-03-31 08:41
bashbug
6.82
KB
-rwxr-xr-x
2024-03-31 08:41
bunzip2
38.38
KB
-rwxr-xr-x
2024-08-09 02:33
busctl
94.59
KB
-rwxr-xr-x
2026-03-24 13:45
bzcat
38.38
KB
-rwxr-xr-x
2024-08-09 02:33
bzcmp
2.17
KB
-rwxr-xr-x
2024-08-09 02:33
bzdiff
2.17
KB
-rwxr-xr-x
2024-08-09 02:33
bzegrep
3.69
KB
-rwxr-xr-x
2024-08-09 02:33
bzexe
4.78
KB
-rwxr-xr-x
2021-11-27 12:25
bzfgrep
3.69
KB
-rwxr-xr-x
2024-08-09 02:33
bzgrep
3.69
KB
-rwxr-xr-x
2024-08-09 02:33
bzip2
38.38
KB
-rwxr-xr-x
2024-08-09 02:33
bzip2recover
18.3
KB
-rwxr-xr-x
2024-08-09 02:33
bzless
1.27
KB
-rwxr-xr-x
2024-08-09 02:33
bzmore
1.27
KB
-rwxr-xr-x
2024-08-09 02:33
captoinfo
90.41
KB
-rwxr-xr-x
2024-04-08 16:14
cat
38.46
KB
-rwxr-xr-x
2026-01-23 13:30
chage
70.49
KB
-rwxr-sr-x
2024-05-30 14:52
chardet
221
B
-rwxr-xr-x
2023-08-20 12:12
chardetect
221
B
-rwxr-xr-x
2023-08-20 12:12
chattr
14.31
KB
-rwxr-xr-x
2024-04-28 23:44
chcon
58.51
KB
-rwxr-xr-x
2026-01-23 13:30
chfn
71.09
KB
-rwsr-xr-x
2024-05-30 14:52
chgrp
58.51
KB
-rwxr-xr-x
2026-01-23 13:30
chmod
54.51
KB
-rwxr-xr-x
2026-01-23 13:30
choom
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
chown
58.51
KB
-rwxr-xr-x
2026-01-23 13:30
chrt
30.38
KB
-rwxr-xr-x
2026-03-06 16:00
chsh
43.71
KB
-rwsr-xr-x
2024-05-30 14:52
cksum
102.52
KB
-rwxr-xr-x
2026-01-23 13:30
clear
14.31
KB
-rwxr-xr-x
2024-04-08 16:14
clear_console
14.23
KB
-rwxr-xr-x
2024-03-31 08:41
cloud-id
966
B
-rwxr-xr-x
2025-11-15 18:02
cloud-init
970
B
-rwxr-xr-x
2025-11-15 18:02
cloud-init-per
2.06
KB
-rwxr-xr-x
2025-09-26 11:09
cmp
42.39
KB
-rwxr-xr-x
2024-04-08 15:55
comm
38.52
KB
-rwxr-xr-x
2026-01-23 13:30
core-sshd-host-keygen
1.49
KB
-rwxr-xr-x
2026-04-10 04:14
coredumpctl
82.66
KB
-rwxr-xr-x
2026-03-24 13:45
cp
138.52
KB
-rwxr-xr-x
2026-01-23 13:30
csplit
50.51
KB
-rwxr-xr-x
2026-01-23 13:30
ctstat
22.66
KB
-rwxr-xr-x
2025-07-10 14:46
cut
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
cvtsudoers
321.1
KB
-rwxr-xr-x
2026-03-02 12:56
dash
126.74
KB
-rwxr-xr-x
2024-03-31 08:47
date
106.51
KB
-rwxr-xr-x
2026-01-23 13:30
dbus-cleanup-sockets
14.29
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-daemon
230.64
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-monitor
26.3
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-run-session
14.3
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-send
30.29
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-update-activation-environment
14.29
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-uuidgen
14.29
KB
-rwxr-xr-x
2024-08-09 02:33
dd
70.54
KB
-rwxr-xr-x
2026-01-23 13:30
delpart
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
df
87.08
KB
-rwxr-xr-x
2026-01-23 13:30
diff
134.55
KB
-rwxr-xr-x
2024-04-08 15:55
diff3
58.52
KB
-rwxr-xr-x
2024-04-08 15:55
dir
138.98
KB
-rwxr-xr-x
2026-01-23 13:30
dircolors
46.52
KB
-rwxr-xr-x
2026-01-23 13:30
dirname
34.38
KB
-rwxr-xr-x
2026-01-23 13:30
dmesg
68.64
KB
-rwxr-xr-x
2026-03-06 16:00
dnsdomainname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
domainname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
dpkg-deb
142.58
KB
-rwxr-xr-x
2025-09-18 17:43
dpkg-realpath
4.09
KB
-rwxr-xr-x
2025-09-18 17:43
du
98.51
KB
-rwxr-xr-x
2026-01-23 13:30
ec2metadata
8.38
KB
-rwxr-xr-x
2022-06-03 10:51
echo
34.38
KB
-rwxr-xr-x
2026-01-23 13:30
editor
1.66
MB
-rwxr-xr-x
2026-03-10 09:13
egrep
41
B
-rwxr-xr-x
2024-04-08 15:58
env
46.95
KB
-rwxr-xr-x
2026-01-23 13:30
ex
1.66
MB
-rwxr-xr-x
2026-03-10 09:13
expand
34.53
KB
-rwxr-xr-x
2026-01-23 13:30
expiry
26.52
KB
-rwxr-sr-x
2024-05-30 14:52
expr
42.41
KB
-rwxr-xr-x
2026-01-23 13:30
factor
62.51
KB
-rwxr-xr-x
2026-01-23 13:30
faillog
22.63
KB
-rwxr-xr-x
2024-05-30 14:52
fallocate
26.38
KB
-rwxr-xr-x
2026-03-06 16:00
false
26.3
KB
-rwxr-xr-x
2026-01-23 13:30
fgrep
41
B
-rwxr-xr-x
2024-04-08 15:58
finalrd
2.06
KB
-rwxr-xr-x
2022-02-16 16:56
find
199.48
KB
-rwxr-xr-x
2024-04-08 15:57
findmnt
67.66
KB
-rwxr-xr-x
2026-03-06 16:00
flock
22.48
KB
-rwxr-xr-x
2026-03-06 16:00
fmt
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
fold
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
free
26.38
KB
-rwxr-xr-x
2024-09-26 08:44
gdbserver
473.37
KB
-rwxr-xr-x
2026-02-05 01:58
getconf
26.36
KB
-rwxr-xr-x
2026-01-30 08:27
getent
38.72
KB
-rwxr-xr-x
2026-01-30 08:27
getopt
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
gpasswd
74.46
KB
-rwsr-xr-x
2024-05-30 14:52
gpgv
303.14
KB
-rwxr-xr-x
2026-01-05 22:01
grep
182.45
KB
-rwxr-xr-x
2024-04-08 15:58
groups
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
growpart
29.19
KB
-rwxr-xr-x
2022-06-03 10:51
gunzip
2.29
KB
-rwxr-xr-x
2025-01-27 16:56
gzexe
6.3
KB
-rwxr-xr-x
2025-01-27 16:56
gzip
91.23
KB
-rwxr-xr-x
2025-01-27 16:56
hardlink
46.48
KB
-rwxr-xr-x
2026-03-06 16:00
head
42.51
KB
-rwxr-xr-x
2026-01-23 13:30
hostid
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
hostname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
hostnamectl
30.45
KB
-rwxr-xr-x
2026-03-24 13:45
i386
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
iconv
66.48
KB
-rwxr-xr-x
2026-01-30 08:27
id
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
infocmp
66.38
KB
-rwxr-xr-x
2024-04-08 16:14
infotocap
90.41
KB
-rwxr-xr-x
2024-04-08 16:14
install
142.52
KB
-rwxr-xr-x
2026-01-23 13:30
ionice
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
ip
754.8
KB
-rwxr-xr-x
2025-07-10 14:46
ipcmk
22.45
KB
-rwxr-xr-x
2026-03-06 16:00
ipcrm
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
ipcs
38.38
KB
-rwxr-xr-x
2026-03-06 16:00
iptables-xml
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ischroot
14.48
KB
-rwxr-xr-x
2024-03-31 08:47
join
50.55
KB
-rwxr-xr-x
2026-01-23 13:30
journalctl
78.91
KB
-rwxr-xr-x
2026-03-24 13:45
json-patch-jsondiff
1004
B
-rwxr-xr-x
2023-08-21 13:10
jsondiff
1004
B
-rwxr-xr-x
2023-08-21 13:10
jsonpatch
3.77
KB
-rwxr-xr-x
2023-08-21 13:10
jsonpointer
1.79
KB
-rwxr-xr-x
2020-01-24 03:25
jsonschema
213
B
-rwxr-xr-x
2023-08-14 21:45
kernel-install
54.67
KB
-rwxr-xr-x
2026-03-24 13:45
kill
22.38
KB
-rwxr-xr-x
2024-09-26 08:44
kmod
170.24
KB
-rwxr-xr-x
2024-10-02 12:40
kmodsign
18.45
KB
-rwxr-xr-x
2024-04-08 14:49
last
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
lastb
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
lastlog
27.79
KB
-rwxr-xr-x
2024-05-30 14:52
lcf
7.6
KB
-rwxr-xr-x
2023-01-27 13:29
ld.so
231.07
KB
-rwxr-xr-x
2026-01-30 08:27
ldd
5.26
KB
-rwxr-xr-x
2026-01-30 08:27
less
190.38
KB
-rwxr-xr-x
2024-04-28 11:44
lessecho
14.31
KB
-rwxr-xr-x
2024-04-28 11:44
lessfile
8.83
KB
-rwxr-xr-x
2023-02-12 10:17
lesskey
23.7
KB
-rwxr-xr-x
2024-04-28 11:44
lesspipe
8.83
KB
-rwxr-xr-x
2023-02-12 10:17
link
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
linux32
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
linux64
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
ln
54.51
KB
-rwxr-xr-x
2026-01-23 13:30
lnstat
22.66
KB
-rwxr-xr-x
2025-07-10 14:46
locale
49.63
KB
-rwxr-xr-x
2026-01-30 08:27
locale-check
14.15
KB
-rwxr-xr-x
2026-02-06 07:23
localectl
26.45
KB
-rwxr-xr-x
2026-03-24 13:45
localedef
319.09
KB
-rwxr-xr-x
2026-01-30 08:27
logger
38.97
KB
-rwxr-xr-x
2026-03-06 16:00
login
51.81
KB
-rwxr-xr-x
2024-05-30 14:52
loginctl
66.58
KB
-rwxr-xr-x
2026-03-24 13:45
logname
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
ls
138.98
KB
-rwxr-xr-x
2026-01-23 13:30
lsattr
14.31
KB
-rwxr-xr-x
2024-04-28 23:44
lsblk
146.38
KB
-rwxr-xr-x
2026-03-06 16:00
lscpu
110.38
KB
-rwxr-xr-x
2026-03-06 16:00
lsipc
50.38
KB
-rwxr-xr-x
2026-03-06 16:00
lslocks
30.77
KB
-rwxr-xr-x
2026-03-06 16:00
lslogins
50.38
KB
-rwxr-xr-x
2026-03-06 16:00
lsmem
38.38
KB
-rwxr-xr-x
2026-03-06 16:00
lsmod
170.24
KB
-rwxr-xr-x
2024-10-02 12:40
lsns
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
man
128
B
-rwxr-xr-x
2026-04-10 04:14
mawk
166.77
KB
-rwxr-xr-x
2024-04-08 16:12
mcookie
26.45
KB
-rwxr-xr-x
2026-03-06 16:00
md5sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
md5sum.textutils
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
mesg
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
mkdir
74.51
KB
-rwxr-xr-x
2026-01-23 13:30
mkfifo
42.51
KB
-rwxr-xr-x
2026-01-23 13:30
mknod
42.51
KB
-rwxr-xr-x
2026-01-23 13:30
mksquashfs
286.95
KB
-rwxr-xr-x
2024-04-08 16:20
mkswapfile
865
B
-rwxr-xr-x
2026-04-10 04:14
mktemp
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
more
46.38
KB
-rwxr-xr-x
2026-03-06 16:00
mount
50.38
KB
-rwsr-xr-x
2026-03-06 16:00
mountpoint
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
mv
134.52
KB
-rwxr-xr-x
2026-01-23 13:30
namei
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
nawk
166.77
KB
-rwxr-xr-x
2024-04-08 16:12
nc
38.63
KB
-rwxr-xr-x
2024-04-08 16:14
nc.openbsd
38.63
KB
-rwxr-xr-x
2024-04-08 16:14
netcat
38.63
KB
-rwxr-xr-x
2024-04-08 16:14
networkctl
122.58
KB
-rwxr-xr-x
2026-03-24 13:45
newgrp
39.71
KB
-rwsr-xr-x
2024-05-30 14:52
nice
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
nisdomainname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
nl
38.6
KB
-rwxr-xr-x
2026-01-23 13:30
nohup
34.41
KB
-rwxr-xr-x
2026-01-23 13:30
nproc
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
nsenter
30.6
KB
-rwxr-xr-x
2026-03-06 16:00
nstat
30.38
KB
-rwxr-xr-x
2025-07-10 14:46
numfmt
58.54
KB
-rwxr-xr-x
2026-01-23 13:30
od
70.51
KB
-rwxr-xr-x
2026-01-23 13:30
openssl
981.8
KB
-rwxr-xr-x
2026-04-07 12:05
p11-kit
206.7
KB
-rwxr-xr-x
2024-08-09 02:33
p11tool
218.38
KB
-rwxr-xr-x
2026-02-10 16:09
pager
190.38
KB
-rwxr-xr-x
2024-04-28 11:44
partx
62.38
KB
-rwxr-xr-x
2026-03-06 16:00
passwd
62.65
KB
-rwsr-xr-x
2024-05-30 14:52
paste
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
pathchk
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
pdb3
67.83
KB
-rwxr-xr-x
2026-03-03 12:15
pdb3.12
67.83
KB
-rwxr-xr-x
2026-03-03 12:15
pgrep
34.47
KB
-rwxr-xr-x
2024-09-26 08:44
pidof
26.23
KB
-rwxr-xr-x
2024-04-08 16:20
pidwait
34.47
KB
-rwxr-xr-x
2024-09-26 08:44
ping
87.7
KB
-rwxr-xr-x
2025-07-24 11:51
ping4
87.7
KB
-rwxr-xr-x
2025-07-24 11:51
ping6
87.7
KB
-rwxr-xr-x
2025-07-24 11:51
pinky
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
pkaction
18.3
KB
-rwxr-xr-x
2024-12-02 11:59
pkcheck
22.3
KB
-rwxr-xr-x
2024-12-02 11:59
pkcs11-tool
184.61
KB
-rwxr-xr-x
2026-02-25 13:46
pkill
34.47
KB
-rwxr-xr-x
2024-09-26 08:44
pkttyagent
22.3
KB
-rwxr-xr-x
2024-12-02 11:59
pldd
22.44
KB
-rwxr-xr-x
2026-01-30 08:27
plymouth
46.3
KB
-rwxr-xr-x
2025-02-25 05:47
pmap
34.4
KB
-rwxr-xr-x
2024-09-26 08:44
pr
70.58
KB
-rwxr-xr-x
2026-01-23 13:30
printenv
34.38
KB
-rwxr-xr-x
2026-01-23 13:30
printf
54.44
KB
-rwxr-xr-x
2026-01-23 13:30
prlimit
26.89
KB
-rwxr-xr-x
2026-03-06 16:00
ps
142.99
KB
-rwxr-xr-x
2024-09-26 08:44
ptx
54.54
KB
-rwxr-xr-x
2026-01-23 13:30
pwd
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
pwdx
14.38
KB
-rwxr-xr-x
2024-09-26 08:44
py3clean
7.63
KB
-rwxr-xr-x
2025-11-12 12:15
py3compile
13
KB
-rwxr-xr-x
2025-11-12 12:15
py3versions
12.52
KB
-rwxr-xr-x
2025-11-12 12:15
pydoc3
80
B
-rwxr-xr-x
2026-03-03 12:15
pydoc3.12
80
B
-rwxr-xr-x
2026-03-03 12:15
pygettext3
23.66
KB
-rwxr-xr-x
2026-03-03 12:15
pygettext3.12
23.66
KB
-rwxr-xr-x
2026-03-03 12:15
pyserial-miniterm
975
B
-rwxr-xr-x
2023-11-24 10:38
pyserial-ports
969
B
-rwxr-xr-x
2023-11-24 10:38
python3
7.65
MB
-rwxr-xr-x
2026-03-03 12:15
python3.12
7.65
MB
-rwxr-xr-x
2026-03-03 12:15
rbash
1.38
MB
-rwxr-xr-x
2024-03-31 08:41
rdma
102.52
KB
-rwxr-xr-x
2025-07-10 14:46
readlink
42.41
KB
-rwxr-xr-x
2026-01-23 13:30
realpath
42.41
KB
-rwxr-xr-x
2026-01-23 13:30
rename.ul
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
renice
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
reset
26.31
KB
-rwxr-xr-x
2024-04-08 16:14
resizepart
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
resolvectl
158.67
KB
-rwxr-xr-x
2026-03-24 13:45
rev
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
rgrep
30
B
-rwxr-xr-x
2023-07-21 14:47
rm
58.51
KB
-rwxr-xr-x
2026-01-23 13:30
rmdir
46.41
KB
-rwxr-xr-x
2026-01-23 13:30
routel
1.62
KB
-rwxr-xr-x
2025-07-10 14:46
rtstat
22.66
KB
-rwxr-xr-x
2025-07-10 14:46
run-parts
26.82
KB
-rwxr-xr-x
2024-03-31 08:47
runcon
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
rview
1.66
MB
-rwxr-xr-x
2026-03-10 09:13
savelog
10.24
KB
-rwxr-xr-x
2024-03-31 08:47
sbattach
22.54
KB
-rwxr-xr-x
2024-04-08 14:49
sbkeysync
34.74
KB
-rwxr-xr-x
2024-04-08 14:49
sbsiglist
14.6
KB
-rwxr-xr-x
2024-04-08 14:49
sbsign
34.7
KB
-rwxr-xr-x
2024-04-08 14:49
sbvarsign
22.73
KB
-rwxr-xr-x
2024-04-08 14:49
sbverify
30.61
KB
-rwxr-xr-x
2024-04-08 14:49
scp
134.59
KB
-rwxr-xr-x
2026-03-04 17:55
script
54.38
KB
-rwxr-xr-x
2026-03-06 16:00
scriptlive
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
scriptreplay
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
sdiff
50.39
KB
-rwxr-xr-x
2024-04-08 15:55
sed
110.57
KB
-rwxr-xr-x
2024-04-08 16:19
select-editor
2.39
KB
-rwxr-xr-x
2024-02-04 18:05
sensible-browser
1.55
KB
-rwxr-xr-x
2024-02-04 18:05
sensible-editor
1.52
KB
-rwxr-xr-x
2024-02-04 18:05
sensible-pager
921
B
-rwxr-xr-x
2024-02-04 18:05
sensible-terminal
1.15
KB
-rwxr-xr-x
2024-02-04 18:05
seq
50.51
KB
-rwxr-xr-x
2026-01-23 13:30
setarch
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
setpriv
38.38
KB
-rwxr-xr-x
2026-03-06 16:00
setsid
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
setterm
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
sftp
150.66
KB
-rwxr-xr-x
2026-03-04 17:55
sg
39.71
KB
-rwsr-xr-x
2024-05-30 14:52
sh
126.74
KB
-rwxr-xr-x
2024-03-31 08:47
sha1sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
sha224sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
sha256sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
sha384sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
sha512sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
shred
54.51
KB
-rwxr-xr-x
2026-01-23 13:30
shuf
46.51
KB
-rwxr-xr-x
2026-01-23 13:30
skill
26.41
KB
-rwxr-xr-x
2024-09-26 08:44
slabtop
22.44
KB
-rwxr-xr-x
2024-09-26 08:44
sleep
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
slogin
827.04
KB
-rwxr-xr-x
2026-03-04 17:55
snap
22.43
MB
-rwxr-xr-x
2026-07-08 16:36
snice
26.41
KB
-rwxr-xr-x
2024-09-26 08:44
sort
102.8
KB
-rwxr-xr-x
2026-01-23 13:30
splash-client
404
B
-rwxr-xr-x
2026-04-10 04:14
split
54.94
KB
-rwxr-xr-x
2026-01-23 13:30
sqfscat
147.9
KB
-rwxr-xr-x
2024-04-08 16:20
sqfstar
286.95
KB
-rwxr-xr-x
2024-04-08 16:20
ss
129.07
KB
-rwxr-xr-x
2025-07-10 14:46
ssh
827.04
KB
-rwxr-xr-x
2026-03-04 17:55
ssh-add
294.42
KB
-rwxr-xr-x
2026-03-04 17:55
ssh-agent
302.43
KB
-rwxr-sr-x
2026-03-04 17:55
ssh-argv0
1.42
KB
-rwxr-xr-x
2025-07-21 15:58
ssh-copy-id
12.77
KB
-rwxr-xr-x
2023-12-18 14:59
ssh-keygen
442.44
KB
-rwxr-xr-x
2026-03-04 17:55
ssh-keyscan
330.44
KB
-rwxr-xr-x
2026-03-04 17:55
stat
86.52
KB
-rwxr-xr-x
2026-01-23 13:30
stdbuf
50.51
KB
-rwxr-xr-x
2026-01-23 13:30
stty
78.52
KB
-rwxr-xr-x
2026-01-23 13:30
su
54.38
KB
-rwsr-xr-x
2026-03-06 16:00
sudo
271.42
KB
-rwsr-xr-x
2026-03-02 12:56
sudoedit
271.42
KB
-rwsr-xr-x
2026-03-02 12:56
sudoreplay
95.95
KB
-rwxr-xr-x
2026-03-02 12:56
sum
34.41
KB
-rwxr-xr-x
2026-01-23 13:30
sync
34.41
KB
-rwxr-xr-x
2026-01-23 13:30
systemctl
1.43
MB
-rwxr-xr-x
2026-03-24 13:45
systemd
98.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-ac-power
14.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-analyze
198.85
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-ask-password
18.58
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-cat
18.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-cgls
22.57
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-cgtop
38.47
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-confext
54.64
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-creds
42.72
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-cryptenroll
70.92
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-cryptsetup
78.95
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-delta
26.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-detect-virt
18.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-escape
22.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-firstboot
58.82
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-hwdb
154.74
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-id128
22.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-inhibit
22.47
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-machine-id-setup
18.63
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-mount
50.78
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-notify
26.66
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-path
18.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-repart
195.23
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-run
66.79
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-socket-activate
30.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-stdio-bridge
22.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-sysext
54.64
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-sysusers
66.63
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-tmpfiles
114.7
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-tty-ask-password-agent
34.45
KB
-rwxr-xr-x
2026-03-24 13:45
systemd-umount
50.78
KB
-rwxr-xr-x
2026-03-24 13:45
tabs
18.3
KB
-rwxr-xr-x
2024-04-08 16:14
tac
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
tail
62.53
KB
-rwxr-xr-x
2026-01-23 13:30
tar
421.92
KB
-rwxr-xr-x
2024-04-08 16:20
taskset
30.38
KB
-rwxr-xr-x
2026-03-06 16:00
tee
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
tempfile
14.3
KB
-rwxr-xr-x
2024-03-31 08:47
test
46.44
KB
-rwxr-xr-x
2026-01-23 13:30
tic
90.41
KB
-rwxr-xr-x
2024-04-08 16:14
timedatectl
815
B
-rwxr-xr-x
2026-04-10 04:17
timedatectl.real
46.45
KB
-rwxr-xr-x
2026-03-24 13:45
timeout
38.95
KB
-rwxr-xr-x
2026-01-23 13:30
tload
22.39
KB
-rwxr-xr-x
2024-09-26 08:44
toe
22.3
KB
-rwxr-xr-x
2024-04-08 16:14
top
131.7
KB
-rwxr-xr-x
2024-09-26 08:44
touch
94.51
KB
-rwxr-xr-x
2026-01-23 13:30
tput
26.34
KB
-rwxr-xr-x
2024-04-08 16:14
tr
46.51
KB
-rwxr-xr-x
2026-01-23 13:30
true
26.3
KB
-rwxr-xr-x
2026-01-23 13:30
truncate
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
tset
26.31
KB
-rwxr-xr-x
2024-04-08 16:14
tsort
46.51
KB
-rwxr-xr-x
2026-01-23 13:30
tty
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
tzselect
15.02
KB
-rwxr-xr-x
2026-01-30 08:27
ucf
40.68
KB
-rwxr-xr-x
2023-01-27 13:29
ucfr
10.85
KB
-rwxr-xr-x
2023-01-27 13:29
uclampset
30.38
KB
-rwxr-xr-x
2026-03-06 16:00
udevadm
1.38
MB
-rwxr-xr-x
2026-03-24 13:45
umount
38.38
KB
-rwsr-xr-x
2026-03-06 16:00
uname
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
uncompress
2.29
KB
-rwxr-xr-x
2025-01-27 16:56
unexpand
38.53
KB
-rwxr-xr-x
2026-01-23 13:30
uniq
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
unlink
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
unshare
42.6
KB
-rwxr-xr-x
2026-03-06 16:00
unsquashfs
147.9
KB
-rwxr-xr-x
2024-04-08 16:20
update-alternatives
58.38
KB
-rwxr-xr-x
2025-09-18 17:43
uptime
14.38
KB
-rwxr-xr-x
2024-09-26 08:44
users
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
utmpdump
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
varlinkctl
30.45
KB
-rwxr-xr-x
2026-03-24 13:45
vcs-run
6.75
KB
-rwxr-xr-x
2022-06-03 10:51
vdir
138.98
KB
-rwxr-xr-x
2026-01-23 13:30
vi
1.66
MB
-rwxr-xr-x
2026-03-10 09:13
view
1.66
MB
-rwxr-xr-x
2026-03-10 09:13
vim.tiny
1.66
MB
-rwxr-xr-x
2026-03-10 09:13
vmstat
38.78
KB
-rwxr-xr-x
2024-09-26 08:44
w
26.38
KB
-rwxr-xr-x
2024-09-26 08:44
wall
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
watch
30.84
KB
-rwxr-xr-x
2024-09-26 08:44
wc
54.52
KB
-rwxr-xr-x
2026-01-23 13:30
wdctl
34.4
KB
-rwxr-xr-x
2026-03-06 16:00
whereis
30.84
KB
-rwxr-xr-x
2026-03-06 16:00
which
1.05
KB
-rwxr-xr-x
2024-03-31 08:47
which.debianutils
1.05
KB
-rwxr-xr-x
2024-03-31 08:47
who
58.52
KB
-rwxr-xr-x
2026-01-23 13:30
whoami
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
wpa_passphrase
14.38
KB
-rwxr-xr-x
2026-02-04 23:33
x86_64
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
xargs
62.41
KB
-rwxr-xr-x
2024-04-08 15:57
xdg-email
38
B
-rwxr-xr-x
2026-04-10 04:17
xdg-open
38
B
-rwxr-xr-x
2026-04-10 04:17
xdg-settings
1.68
KB
-rwxr-xr-x
2026-04-10 04:17
yes
34.38
KB
-rwxr-xr-x
2026-01-23 13:30
ypdomainname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
zcat
1.94
KB
-rwxr-xr-x
2025-01-27 16:56
zcmp
1.64
KB
-rwxr-xr-x
2025-01-27 16:56
zdiff
6.31
KB
-rwxr-xr-x
2025-01-27 16:56
zdump
30.28
KB
-rwxr-xr-x
2026-01-30 08:27
zegrep
29
B
-rwxr-xr-x
2025-01-27 16:56
zfgrep
29
B
-rwxr-xr-x
2025-01-27 16:56
zforce
2.03
KB
-rwxr-xr-x
2025-01-27 16:56
zgrep
7.91
KB
-rwxr-xr-x
2025-01-27 16:56
zless
2.15
KB
-rwxr-xr-x
2025-01-27 16:56
zmore
1.8
KB
-rwxr-xr-x
2025-01-27 16:56
znew
4.47
KB
-rwxr-xr-x
2025-01-27 16:56
Save
Rename
#!/bin/bash # Copyright (C) 1996-2024 Free Software Foundation, Inc. # This file is part of the GNU C Library. # The GNU C Library is free software; you can redistribute it and/or # modify it under the terms of the GNU Lesser General Public # License as published by the Free Software Foundation; either # version 2.1 of the License, or (at your option) any later version. # The GNU C Library is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU # Lesser General Public License for more details. # You should have received a copy of the GNU Lesser General Public # License along with the GNU C Library; if not, see # <https://www.gnu.org/licenses/>. # This is the `ldd' command, which lists what shared libraries are # used by given dynamically-linked executables. It works by invoking the # run-time dynamic linker as a command and setting the environment # variable LD_TRACE_LOADED_OBJECTS to a non-empty value. # We should be able to find the translation right at the beginning. TEXTDOMAIN=libc TEXTDOMAINDIR=/usr/share/locale RTLDLIST="/lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2 /libx32/ld-linux-x32.so.2" warn= bind_now= verbose= while test $# -gt 0; do case "$1" in --vers | --versi | --versio | --version) echo 'ldd (Ubuntu GLIBC 2.39-0ubuntu8.7) 2.39' printf $"Copyright (C) %s Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. " "2024" printf $"Written by %s and %s. " "Roland McGrath" "Ulrich Drepper" exit 0 ;; --h | --he | --hel | --help) echo $"Usage: ldd [OPTION]... FILE... --help print this help and exit --version print version information and exit -d, --data-relocs process data relocations -r, --function-relocs process data and function relocations -u, --unused print unused direct dependencies -v, --verbose print all information " printf $"For bug reporting instructions, please see:\\n%s.\\n" \ "<https://bugs.launchpad.net/ubuntu/+source/glibc/+bugs>" exit 0 ;; -d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \ --data-rel | --data-relo | --data-reloc | --data-relocs) warn=yes shift ;; -r | --f | --fu | --fun | --func | --funct | --functi | --functio | \ --function | --function- | --function-r | --function-re | --function-rel | \ --function-relo | --function-reloc | --function-relocs) warn=yes bind_now=yes shift ;; -v | --verb | --verbo | --verbos | --verbose) verbose=yes shift ;; -u | --u | --un | --unu | --unus | --unuse | --unused) unused=yes shift ;; --v | --ve | --ver) echo >&2 $"ldd: option \`$1' is ambiguous" exit 1 ;; --) # Stop option processing. shift; break ;; -*) echo >&2 'ldd:' $"unrecognized option" "\`$1'" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; *) break ;; esac done nonelf () { # Maybe extra code for non-ELF binaries. return 1; } add_env="LD_TRACE_LOADED_OBJECTS=1 LD_WARN=$warn LD_BIND_NOW=$bind_now" add_env="$add_env LD_VERBOSE=$verbose" if test "$unused" = yes; then add_env="$add_env LD_DEBUG=\"$LD_DEBUG${LD_DEBUG:+,}unused\"" fi # The following command substitution is needed to make ldd work in SELinux # environments where the RTLD might not have permission to write to the # terminal. The extra "x" character prevents the shell from trimming trailing # newlines from command substitution results. This function is defined as a # subshell compound list (using "(...)") to prevent parameter assignments from # affecting the calling shell execution environment. try_trace() ( output=$(eval $add_env '"$@"' 2>&1; rc=$?; printf 'x'; exit $rc) rc=$? printf '%s' "${output%x}" return $rc ) case $# in 0) echo >&2 'ldd:' $"missing file arguments" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; 1) single_file=t ;; *) single_file=f ;; esac result=0 for file do # We don't list the file name when there is only one. test $single_file = t || echo "${file}:" case $file in */*) : ;; *) file=./$file ;; esac if test ! -e "$file"; then echo "ldd: ${file}:" $"No such file or directory" >&2 result=1 elif test ! -f "$file"; then echo "ldd: ${file}:" $"not regular file" >&2 result=1 elif test -r "$file"; then RTLD= ret=1 for rtld in ${RTLDLIST}; do if test -x $rtld; then dummy=`$rtld --version 2>&1` if test $? = 0; then verify_out=`${rtld} --verify "$file"` ret=$? case $ret in [02]) RTLD=${rtld}; break;; esac fi fi done case $ret in 1) # This can be a non-ELF binary or no binary at all. nonelf "$file" || { echo $" not a dynamic executable" >&2 result=1 } ;; 0|2) try_trace "$RTLD" "$file" || result=1 ;; *) echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2 exit 1 ;; esac else echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2 result=1 fi done exit $result # Local Variables: # mode:ksh # End: